> ## Documentation Index
> Fetch the complete documentation index at: https://io-migration.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Terminate Deployment

> Shut down a deployment and release associated resources.



## OpenAPI

````yaml openapi/terminate-deployment.json delete /enterprise/v1/io-cloud/caas/deployment/{deployment_id}
openapi: 3.1.0
info:
  title: IO API
  version: '1.0'
servers:
  - url: https://api.io.solutions/
security:
  - sec0: []
paths:
  /enterprise/v1/io-cloud/caas/deployment/{deployment_id}:
    delete:
      summary: Terminate Deployment
      description: Shut down a deployment and release associated resources.
      operationId: terminate-deployment
      parameters:
        - name: deployment_id
          in: path
          schema:
            type: integer
            format: int32
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: string
                    deployment_id: 3fa85f64-5717-4562-b3fc-2c963f66afa6
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: string
                  deployment_id:
                    type: string
                    example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value: string
              schema:
                type: string
                example: string
        '422':
          description: '422'
          content:
            text/plain:
              examples:
                Result:
                  value:
                    detail:
                      - loc:
                          - string
                          - 0
                        msg: string
                        type: string
              schema:
                type: object
                properties:
                  detail:
                    type: array
                    items:
                      type: object
                      properties:
                        loc:
                          type: array
                        msg:
                          type: string
                          example: string
                        type:
                          type: string
                          example: string
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: oauth2
      flows: {}

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.